This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 829445 - java-1.6.0-openjdk depends on pulseaudio-libs
java-1.6.0-openjdk depends on pulseaudio-libs
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: java-1.6.0-openjdk (Show other bugs)
6.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Omair Majid
BaseOS QE - Apps
: Reopened
: 836774 (view as bug list)
Depends On:
Blocks: 1075802 1159926
  Show dependency treegraph
 
Reported: 2012-06-06 15:02 EDT by Don Hoover
Modified: 2014-11-25 06:25 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-18 12:57:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 976573 None None None Never

  None (edit)
Description Don Hoover 2012-06-06 15:02:41 EDT
Description of problem:
For some reason newer releases of java-1.6.0-openjdk depend on pulseaudio-libs, which also pulls in libsndfile, flac, libogg, libvorbis as dependencies via yum.

Version-Release number of selected component (if applicable):
java-1.6.0-openjdk  1.6.0.0-1.43.1.10.6.el6_2          

How reproducible:
Installing errata with java-1.6.0-openjdk 1.6.0.0-1.43.1.10.6.el6_2 included tries to install these to meet its dependencies.

  
Expected results:
I do not want to have to install these audio things on my headless, soundcardless, speakerless servers.
Comment 1 Don Hoover 2012-06-06 15:17:09 EDT
Upon further investigation its libsndfile that has changed its requirements.

So...the dependency tree USED to be this:
-java-1.6.0-openjdk 
   - pulseaudio-libs
       - libsndfile
          

Now, the dependency tree is this:
-java-1.6.0-openjdk 
   - pulseaudio-libs
       - libsndfile
          - flac
          - libogg
          - libvorbis



Ugg.  Don't like putting unneeded audio codec libraries on my servers just to use a jdk/jvm.
Comment 3 Deepak Bhole 2012-07-12 14:55:12 EDT
*** Bug 836774 has been marked as a duplicate of this bug. ***
Comment 4 RHEL Product and Program Management 2012-09-07 01:37:04 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 6 RHEL Product and Program Management 2013-10-14 00:56:19 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 7 Deepak Bhole 2014-02-04 15:47:04 EST
Due to substantial compatibility issues involved in making this change, we will not be able to put it in until a future RHEL release.

The change is currently available in RHEL-7 beta through the java-1.X.0-openjdk-headless packages which no longer requires pulseaudio.

Setting devel_ack- for RHEL-6.
Comment 8 RHEL Product and Program Management 2014-02-05 10:23:40 EST
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.